Bug 139273 - atp870u.ko does not see SCSI hard drive.
atp870u.ko does not see SCSI hard drive.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-14 14:46 EST by Sam Varshavchik
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:12:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2004-11-14 14:46:32 EST
Description of problem:

FC3 installer does not see the hard drive that boots an existing FC1
installation.  The hard drive is attached to a controller that, in
FC1, is supported by the atp870u driver.

The atp870u module in the 2.6 kernel sees the card and comes up.  It
does not report any error, but just doesn't see the hard drive.  No
error messages, no messages of any kind, other than the module itself
coming up normally.

The 2.4 kernel in FC1 reports this card as follows:

   ACARD AEC-671X PCI Ultra/W SCSI-3 Host Adapter: 0    IO:c400, IRQ:5.
         ID:  7  Host Adapter
         ID: 10  SEAGATE ST318406LW      010A
scsi1 : ACARD AEC-6710/6712/67160 PCI Ultra/W/LVD SCSI-3 Adapter
Driver V2.6+ac
  Vendor: SEAGATE   Model: ST318406LW        Rev: 010A
  Type:   Direct-Access                      ANSI SCSI revision: 03
Attached scsi disk sdb at scsi1, channel 0, id 10, lun 0
SCSI device sdb: 35843670 512-byte hdwr sectors (18352 MB)
 sdb: sdb1 sdb2 < sdb5 sdb6 >
Journalled Block Device driver lo

This is the FC1 drive, on /dev/sdb.  /dev/sda is managed by aic7xxx,
and contains another operating system.

The FC3 installer announces that it's loading atp870u, then proceeds
without reporting any error messages, but does not report that any
hard drives are attached to the controller.

I can manually install the 2.6 kernel from FC3 on the existing FC1
install, boot it off grub, and observe the same results:  the aic7xxx
driver loads, reports all scsi devices attached to the aic7xxx card,
then the atp870u module loads, does not report any error messages,
does not report any devices attached to the controller, then the
kernel crashes because the root partition is missing.
Comment 1 Dave Jones 2005-07-15 15:33:34 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:12:37 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.